unit App.Types;

interface

uses
  Bcl.Rtti.Common;

type
  TProc = reference to procedure;

  TSuccessProc = reference to procedure;
  TLogoutProc = reference to procedure(AMessage: string = '');
  TUnauthorizedAccessProc = reference to procedure(AMessage: string);

  TListProc = reference to procedure;
  TSelectProc = reference to procedure(AParam: string);
  TSelectProc2 = reference to procedure(AParam: string; BParam: string);
  TSelectProc3 = reference to procedure(AParam: string; BParam: string; CParam: Boolean);
  TSelectProc4 = reference to procedure(AParam: string; BParam: string; CParam: string; DParam: Boolean);
  TSearchProc = reference to procedure(AParam: string; BParam: string; CParam: Integer; DParam: Boolean);
  TReportProc = reference to procedure(AParam: string);

implementation


end.
